TapeLibrary (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.TapeLibrary interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface TapeLibrary

All Superinterfaces:
  CIMSystem, ComputerSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface TapeLibrary

extends ComputerSystem

A storage area network (SAN) tape library.

Naming Rules:
  0="ansiT10Id" 1="worldWideName"
Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAnsiT10Id()`
`boolean` | `getSANAttached()`
`TapeMediaChanger[]` | `getTapeMediaChangers()` The media changers that service the tape library.
`java.lang.String` | `getWorldWideName()`
`boolean` | `hasAnsiT10Id()`
`boolean` | `hasSANAttached()`
`boolean` | `hasTapeMediaChangers()`
`boolean` | `hasWorldWideName()`
`void` | `setAnsiT10Id(java.lang.String id)`
`void` | `setSANAttached(boolean attached)`
`void` | `setTapeMediaChangers(TapeMediaChanger[] changers)`
`void` | `setWorldWideName(java.lang.String wwn)`

Methods inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`getArchitecture, getAutoStart, getCdpDeviceId, getChildSystem, getConfigContents, getControllers, getCPU, getCPUCoresEnabled, getCPUCoresInstalled, getCPUDiesEnabled, getCPUDiesInstalled, getCPUSpeed, getCPUType, getDevices, getFCPorts, getFileSystems, getFqdn, getFunctions, getHostSystem, getIpInterfaces, getIsVMIDanLPAR, getL2Interfaces, getManufacturer, getMemory, getMemorySize, getModel, getName, getNumCPUs, getOSInstalled, getOSRunning, getPhysicalPackage, getPrimaryMACAddress, getProcessCapacityUnits, getProcessingCapacity, getProtocolControllers, getROMVersion, getSerialNumber, getSignature, getSiteInfo, getSnmpSystemGroup, getSystemBoardUUID, getSystemId, getType, getVirtual, getVMID, getZReportfiles, hasArchitecture, hasAutoStart, hasCdpDeviceId, hasChildSystem, hasConfigContents, hasControllers, hasCPU, hasCPUCoresEnabled, hasCPUCoresInstalled, hasCPUDiesEnabled, hasCPUDiesInstalled, hasCPUSpeed, hasCPUType, hasDevices, hasFCPorts, hasFileSystems, hasFqdn, hasFunctions, hasHostSystem, hasIpInterfaces, hasIsVMIDanLPAR, hasL2Interfaces, hasManufacturer, hasMemory, hasMemorySize, hasModel, hasName, hasNumCPUs, hasOSInstalled, hasOSRunning, hasPhysicalPackage, hasPrimaryMACAddress, hasProcessCapacityUnits, hasProcessingCapacity, hasProtocolControllers, hasROMVersion, hasSerialNumber, hasSignature, hasSiteInfo, hasSnmpSystemGroup, hasSystemBoardUUID, hasSystemId, hasType, hasVirtual, hasVMID, hasZReportfiles, setArchitecture, setAutoStart, setCdpDeviceId, setChildSystem, setConfigContents, setControllers, setCPU, setCPUCoresEnabled, setCPUCoresInstalled, setCPUDiesEnabled, setCPUDiesInstalled, setCPUSpeed, setCPUType, setDevices, setFCPorts, setFileSystems, setFqdn, setFunctions, setHostSystem, setIpInterfaces, setIsVMIDanLPAR, setL2Interfaces, setManufacturer, setMemory, setMemorySize, setModel, setName, setNumCPUs, setOSInstalled, setOSRunning, setPhysicalPackage, setPrimaryMACAddress, setProcessCapacityUnits, setProcessingCapacity, setProtocolControllers, setROMVersion, setSerialNumber, setSignature, setSiteInfo, setSnmpSystemGroup, setSystemBoardUUID, setSystemId, setType, setVirtual, setVMID, setZReportfiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getAnsiT10Id

    java.lang.String getAnsiT10Id()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAnsiT10Id

    void setAnsiT10Id(java.lang.String id)

### hasAnsiT10Id

    boolean hasAnsiT10Id()

### getSANAttached

    boolean getSANAttached()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSANAttached

    void setSANAttached(boolean attached)

### hasSANAttached

    boolean hasSANAttached()

### getWorldWideName

    java.lang.String getWorldWideName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWorldWideName

    void setWorldWideName(java.lang.String wwn)

### hasWorldWideName

    boolean hasWorldWideName()

### getTapeMediaChangers

    TapeMediaChanger[] getTapeMediaChangers()
                                            throws AttributeNotSetException

  The media changers that service the tape library.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setTapeMediaChangers

    void setTapeMediaChangers(TapeMediaChanger[] changers)

### hasTapeMediaChangers

    boolean hasTapeMediaChangers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD